Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040205
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Omnichannelminorhave not tried2019-01-31 17:412019-03-04 09:02
ReporterplujanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision3e30d0a3eeb4
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040205: [RR19Q1] [OMNI] Inconsistent labelling on partially paid ticket lines

DescriptionWhile in draft, a line ticket will have a button labelled as "Set as Undeliverable". This button change once the ticket is partially paid to "Set as Deliverable" and, on clicking it, is referred as "Cannot be delivered".
Steps To Reproduce1. Create a ticket with a line, edit the line and check there is a button named "Set as undeliverable". DO NOT CLICK IT!
2. Make a partial payment of the ticket.
3. Open the ticket again, select the line and edit it
4. Note the button label has changed to "Set as Deliverable".
5. Click the button and check the error message referring the buttons as "Cannot be delivered"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040094 closedranjith_qualiantech_com [RR19Q1] [OMNI] Inconsistent labelling on partially paid ticket lines 

-  Notes
(0110170)
hgbot (developer)
2019-03-04 06:33

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: 3e30d0a3eeb4a179309449b3b01b8e048a317c56
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Mar 04 11:03:02 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/3e30d0a3eeb4a179309449b3b01b8e048a317c56 [^]

Fixed issue 40205 : Updated ADMessage to show proper message when updating line attribute as undeliverable

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0110172)
jorge-garcia (developer)
2019-03-04 09:02

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-14 16:00 marvintm Type defect => backport
2019-02-14 16:00 marvintm Target Version => RR19Q1
2019-03-01 14:28 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-03-04 06:33 hgbot Checkin
2019-03-04 06:33 hgbot Note Added: 0110170
2019-03-04 06:33 hgbot Status scheduled => resolved
2019-03-04 06:33 hgbot Resolution open => fixed
2019-03-04 06:33 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/3e30d0a3eeb4a179309449b3b01b8e048a317c56 [^]
2019-03-04 09:02 jorge-garcia Review Assigned To => jorge-garcia
2019-03-04 09:02 jorge-garcia Note Added: 0110172
2019-03-04 09:02 jorge-garcia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker